Bug 121716 - FILESAVE XLSX The settings for the right pages are applied to the left pages as well
Summary: FILESAVE XLSX The settings for the right pages are applied to the left pages ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.1.0
Keywords: filter:xlsx
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2018-11-26 13:31 UTC by NISZ LibreOffice Team
Modified: 2020-09-14 09:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the original and exported document side by side in Calc. (136.63 KB, image/png)
2018-11-26 13:31 UTC, NISZ LibreOffice Team
Details
Example ODS file from Calc with different left and right headers. (8.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-11-26 13:31 UTC, NISZ LibreOffice Team
Details
The original file saved as XLSX. (14.01 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-11-26 13:32 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-11-26 13:31:02 UTC
Description:
Save issue with documents containing different right and left headers: the settings for the right pages are applied to the left pages as well when the document is saved in XLSX format.

Steps to Reproduce:
    1. Create a new document in LibreOffice Calc.
    2. Type text to A1 and L1 cells.
    3. Choose Format → Page.
    4. Click Header tab.
    5. Select Header on.
    6. Disable Same content on left and right pages.
    7. Click on Edit button.
    8. Choose Header (left) tab and type to Center area “Header Left”.
    9. Choose Header (right) tab and type to Center area “Header Right”.
    10. Press OK button.
    11. Press OK button.
    12. Save the file as XLSX.
    13. Reload the file.

Actual Results:
Left pages has the right pages header.

Expected Results:
Left and right headers should be different.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-11-26 13:31:34 UTC
Created attachment 147043 [details]
Screenshot of the original and exported document side by side in Calc.
Comment 2 NISZ LibreOffice Team 2018-11-26 13:31:54 UTC
Created attachment 147044 [details]
Example ODS file from Calc with different left and right headers.
Comment 3 NISZ LibreOffice Team 2018-11-26 13:32:14 UTC
Created attachment 147045 [details]
The original file saved as XLSX.
Comment 4 raal 2019-02-13 21:09:42 UTC
Confirm with Version: 6.3.0.0.alpha0+
Build ID: c7ad7849d54fd3dad67e7779102f65b8b2f04881
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 

and Version: 4.1.0.0.alpha1+
Build ID: 863d38fbfa4fb4861e476828c46410602100919
Comment 5 Commit Notification 2020-08-05 10:40:51 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a858284092e976fa284d5ed118e366d9860ec9bb

tdf#121716 XLSX export: fix loss of left header (footer)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2020-09-14 09:47:02 UTC
Verified in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 34a09c9c61bff30e8c4d16132bb47b2b1b16e422
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded